Bug 25687 - Switch Y/N in EDI accounts table for Yes and No for better translatability
Summary: Switch Y/N in EDI accounts table for Yes and No for better translatability
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 25677
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-07 12:09 UTC by Katrin Fischer
Modified: 2020-11-20 20:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
Bug 25687: Switch Y/N in EDI accounts table for Yes and No for better translatability (2.34 KB, patch)
2020-06-09 20:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25687: Switch Y/N in EDI accounts table for Yes and No for better translatability (2.40 KB, patch)
2020-06-10 12:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25687: Switch Y/N in EDI accounts table for Yes and No for better translatability (2.45 KB, patch)
2020-06-11 11:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-06-07 12:09:01 UTC
I think it would be easier to read and understand - and to translate, if we showed Yes and No instead of Y and N in the EDI accounts table for the checkboxes.
Comment 1 Owen Leonard 2020-06-09 20:13:19 UTC
Created attachment 105670 [details] [review]
Bug 25687: Switch Y/N in EDI accounts table for Yes and No for better translatability

This patch changes the list of EDI accounts shown in EDI administration
so that columns which previously used "Y" or "N" now show "Yes" or "No."

To test, apply the patch and go to Administration -> EDI accounts.

If necessary, add an EDI account. In the table of information about the
EDI account, the columns with information about quotes, orders,
invoices, responses, and auto-ordering should show "Yes" or "No" based
on the account's settings.
Comment 2 Kyle M Hall 2020-06-10 12:02:53 UTC
Created attachment 105689 [details] [review]
Bug 25687: Switch Y/N in EDI accounts table for Yes and No for better translatability

This patch changes the list of EDI accounts shown in EDI administration
so that columns which previously used "Y" or "N" now show "Yes" or "No."

To test, apply the patch and go to Administration -> EDI accounts.

If necessary, add an EDI account. In the table of information about the
EDI account, the columns with information about quotes, orders,
invoices, responses, and auto-ordering should show "Yes" or "No" based
on the account's settings.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-06-11 11:48:52 UTC
Created attachment 105736 [details] [review]
Bug 25687: Switch Y/N in EDI accounts table for Yes and No for better translatability

This patch changes the list of EDI accounts shown in EDI administration
so that columns which previously used "Y" or "N" now show "Yes" or "No."

To test, apply the patch and go to Administration -> EDI accounts.

If necessary, add an EDI account. In the table of information about the
EDI account, the columns with information about quotes, orders,
invoices, responses, and auto-ordering should show "Yes" or "No" based
on the account's settings.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-06-11 11:49:13 UTC
You beat me to it, thank you, Owen!
Comment 5 Jonathan Druart 2020-06-15 10:01:03 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-06-17 23:24:50 UTC
backported to 20.05.x for 20.05.01
Comment 7 Aleisha Amohia 2020-06-22 04:37:11 UTC
enhancement, not backporting to 19.11.x